package com.qtzl.sample.manager.model.protocol;

import com.txffp.api.core.manager.comm.ApiCmd;

public enum SampleCmd implements ApiCmd{

	SAMPLE("示例业务",UcServiceType.SAMPLE),
	;

	private String value;

	private UcServiceType type;


	private SampleCmd(String value, UcServiceType type)
	{
		this.value = value;
		this.type = type;

	}

	public String getValue() {
		return value;
	}

	public UcServiceType getType() {
		return type;
	}

	@Override
	public String getCmd() {
		return this.name();
	}

	@Override
	public String getSystemId() {
		return getType().systemId();
	}

	@Override
	public String getSystemName() {
		return getType().systemName();
	}

	@Override
	public String getCmdName() {
		return this.value;
	}

	@Override
	public String getSerivceType() {
		return this.type.name();
	}

	@Override
	public String getSerivceTypeName() {
		return this.type.getValue();
	}






}
